.sekcja-kolorowa {
  width: 100vw;
  box-sizing: border-box;
  margin-top: 100px;
  height: 100vh;
}

.sekcja-kolorowa-content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 0 auto;
  flex-wrap: wrap;
}

.tekst-na-lewo {
  background-color: #f2ebbf;
  flex: 1;
  color: black;
  font-family: 'Poppins', sans-serif;
}

.zdjecie-na-prawo {
  flex: 1;
  display: flex;
  justify-content: center;
}

.zdjecie-obramowane {
  width: 50vw;
  height: 87vh;
  object-fit: cover;
}
.zdjecie-obramowane:hover {
  transform: scale(1.05);
  transition: transform 0.6s ease-in-out;
}
.big{
  text-align: center;
  font-size: 32px;
  color: black;
  font-weight: 500;
  margin-bottom: 3%;
  font-family: 'Poppins', sans-serif;
  
}
.bigText {
  margin-bottom: 50px;
  font-size: 40px;
  color: #006d23;
  font-weight: 600;
  margin-left: 3%;
}

.lower-text{
  text-align: left;
  font-size: 18px;
  justify-content: left;
  margin-left: 3%;
  margin-right: 20%;
  line-height: 1.6;
  margin-bottom: 50px;
  color: rgb(58, 58, 58)
}
/* Sekcja o naszych zajeciach */
.O_zajeciach {
  background-color: #f1f1f1;
  width: 100vw;
  height: 700px;
  box-sizing: border-box;
  margin-top: 0;
  display: flex;
  align-items: center;
  position: relative;
}
.zajecia-header{
  font-weight: bold;
  font-size: 35px;
}
.container-zajecia{
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 50px;
  flex-wrap: wrap;
  padding: 0 120px;
  width: 100%;
  justify-content: center;
}
.zdjecie-lewo{
  width: fit-content;
  width: -moz-fit-content; /* for older Firefox */
  width: -webkit-fit-content; /* for older WebKit */
  max-width: 338px;
  display: flex;
  flex: 0 1;
  justify-content: center;
  height: 450px;
  min-width: auto;
}
.zdjecie-lewo > img{
  min-width: 0;
}
.double-zdjecie{
  flex: 0 0 200px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
}
.double-zdjecie > img {
  object-fit: cover;
  width: 300px;
  height: 215px;
}
.text-under{
  font-size: 18px;
  color: rgb(58, 58, 58);
  font-weight: 500;
  letter-spacing: 1px;
  line-height: 1.6;
}
#zdjecia_zajecia{
  max-width: 100%;
  width: fit-content;
  flex: 0 0 auto;
  display: flex;
  justify-content: center;
  gap: 20px;
  min-width: auto;
}

@media screen and (max-width: 1320px) {
  .container-zajecia{
    gap: 40px;
  }
  .zdjecie-lewo{
    height: 400px;
  }
  .double-zdjecie{
    gap: 10px;
  }
  #zdjecia_zajecia{
    gap: 10px;
  }
  .double-zdjecie > img{
    height: 195px;
  } 
  .text-under{
    font-size: 15px;
  }
  .zajecia-header{
    font-size: 2.5vw;
  }
}
@media screen and (max-width: 1210px) {
  .zajecia-header{
    font-size: 1.5vw;
  }
}
@media screen and (max-width: 1120px) {
  .container-zajecia{
    gap: 20px;
    padding: 0 40px;

  }
  .text-under{
    font-size: 13px;
  }
  .zdjecie-lewo{
    height: 350px;
  }
  .double-zdjecie > img{
    height: 170px;
    width: 100%;
  } 
  .double-zdjecie{
    margin-left: 0px;
  }
  .zajecia-header{
    font-size: 2.5vw;
  }
}
@media screen and (max-width: 800px) {
  .container-zajecia{
    padding: 0 30px;
    gap: 50px;
    flex-direction: column;
    align-items: center;
  }
  .zdjecie-lewo{
    width: 262px;
  }
  .text-under{
    text-align: justify;
  }
  .zajecia-header{
    font-size: 25px;
    text-align: center;
  }
}
@media screen and (max-width: 520px) {
  #zdjecia_zajecia{
    gap: 4px;
  }
  .double-zdjecie{
    gap: 4px;
    flex: 0 0 150px;
  }
  .zdjecie-lewo{
    height: 250px;
    width: 187px;
  }
  .double-zdjecie > img{
    height: 123px;
  }
  .O_zajeciach {
    padding-bottom: 0px;
  }
}
@media screen and (max-width: 420px) {
  .O_zajeciach{
    justify-content: center;
  }
  .container-zajecia{
    padding: 0 0px;
    flex-wrap: nowrap;
  }
  .text-under{
    width: 90vw;
    font-size: 11px;
    text-align: justify;
  }
  .zajecia-header{
    font-size: 25px;
  }
  .zdjecie-lewo{
    height: 210px;
    width: 157px;
  }
  .double-zdjecie > img{
    height: 103px;
  }
}
.text-prawo{
  flex: 1;
  font-family: 'Poppins',sans-serif;
  animation: fadeInUp 1.6s ease-in-out;
  max-width: 800px;
}
@keyframes fadeInUp {
  from {
    opacity: 0;
    transform: translateY(40px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
.zdjecie-zajecia:hover{
  transform: scale(1.05);
  transition: transform 0.6s ease-in-out;
}

/* Sekcja Co oferujemy */
.offer-hero{
  position:relative;
  width:100%;
  height:75vh;          
  margin-top: 100px;
}
.offer-hero > {
  position: static;
}
.hero-bg{
  width:100%;
  height:70%;
  object-fit:cover;
  filter:brightness(0.75); 
}

.offer-banner{
  position:absolute;
  top: -50px;
  left:0;
  width:min(50%, 700px);
  background:#f2ebbf;
  color:black;
  padding:32px 40px;
  box-shadow:0 10px 30px rgba(0,0,0,.25);
  text-align:left;
  font-family: 'Poppins',sans-serif;

}

.offer-banner h2{
  font-size:38px;
  margin-bottom:12px;
  letter-spacing:1px;
  font-weight:600;
  text-align: center;
}

.offer-banner p{
  font-size:16px;
  line-height:1.6;
  font-weight:500;
}
@media screen and (max-width: 1100px) {

}
@media screen and (max-width: 800px) {
  .offer-hero{
    height: 70vh;
  }
  .offer-banner h2{
      font-size: 30px;
  }
  .offer-banner p{
    font-size: 14px;
  }
}
@media screen and (max-width: 600px) {
  .offer-hero{
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .offer-hero > img{
    position: absolute;
  }
  .offer-banner{
    z-index: 1;
    height: 250px;
    padding: 16px 20px;
    text-align: justify;
    position: static;
    bottom: unset;
    top: -10px;
  }
  .offer-banner h2{
    margin-top: 0px;
    font-size: 25px;
    font-weight: bold;
  }
  .offer-banner p{
    font-size: 13px;
  }
}
@media screen and (max-width: 500px) {
  .offer-banner{
    height: 250px;
    width: 70vw;;
    padding: 16px 20px;
  }
  .offer-banner h2{
    margin: 0px;
    font-size: 25px;
    font-weight: bold;
  }
  .offer-banner p{
    font-size: 13px;
  }
}
@media screen and (max-width: 420px) {
  .offer-banner p{
    font-size: 11px;
  }
}


/* Sekcja Zapisz na zajęcia */
.zapisz-hero{
  position:relative;
  width:100%;
  height:85vh;          
  min-height: 310px;
}

.zapisz-tlo{
  width:100%;
  height:100%;
  object-fit:cover;
}
.zapisz-banners {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: flex;
  flex-direction: row;
  gap: 160px;
  justify-content: center;
  align-items: center;

}
.zapisz-banner {
  width: 500px;
  max-width: 90vw;
  padding: 40px;
  background: #8bc34a;
  color: white;
  font-family: 'Poppins', sans-serif;
  display: flex;
  flex-direction: column;
  text-align: center;
  min-height: 300px;
}
.banner2{
  background-color: white ;
}
.banner2 h2 {
  color: black ;
}
.banner2 p {
  color: black !important ;
}
.zapisz-banner h2{
  font-size:32px;
  margin-bottom:12px;
  letter-spacing:1px;
  font-weight:600;
  text-align: center;
}

.zapisz-banner p{
  font-size:16px;
  line-height:1.6;
  font-weight:500;
  text-align: center;
  color: white
}
.zapisz-bttn {
  display: inline-block;
  font-size: 16px;
  line-height: 23px;
  font-weight: 400;
  text-align: center;
  padding: 16px 80px;
  justify-content: center;
  margin: 0 auto;
  border-radius: 8px;
  background-color: white;
  color: #8bc34a;
  text-decoration: none;
}
.bttn-pokazowe{
  background-color: #8bc34a;
}
.banner2 a{
  color: white !important;
}
.zapisz-banner a{
  text-decoration: none;
  color: #8bc34a;
  border: none;
  font-weight: 500;
}
.zapisz-bttn:hover {
  background-color: #8bc34a;
  transition: 0.3s ease;
  outline: 1px white solid;
  color: white;
}
.bttn-pokazowe:hover {
  background-color: white;
  transition: 0.3s ease;
  outline: 1px #8bc34a solid;
  color: #8bc34a !important;
}
@media screen and (max-width: 1350px) {
  .zapisz-banners{
    gap: 120px;
  }
  .zapisz-banner{
    width: 400px;
    min-height: 200px;
  }
  .zapisz-banner > h2{
    font-size: 25px;
  }
  .zapisz-banner > p{
    font-size: 14px;
  }
  .zapisz-bttn{
    padding: 10px 50px;
  }
}
@media screen and (max-width: 1100px) {
  .zapisz-banners{
    gap: 60px;
  }
  .zapisz-banner{
    width: 300px;
    height: 200px;
    padding: 30px;
  }
  .zapisz-banner > h2{
    font-size: 20px;
    margin-top: 0px;
  }
  .zapisz-banner > p{
    font-size: 12px;
  }
}
@media screen and (max-width: 800px) {
  .zapisz-hero{
    min-height: 750px;
  }
  .zapisz-banners{
    gap: 60px;
    flex-direction: column;
  }
  .zapisz-banner{
    width: 350px;
    height: unset;
    padding: 30px;
  }
  .zapisz-banner > h2{
    font-size: 25px;
    margin-top: 10px;
  }
  .zapisz-banner > p{
    font-size: 14px;
  }
}
@media screen and (max-width: 470px) {
  .zapisz-banners{
    width: 90%;
  }
  .zapisz-banner{
    width: 90%;
    flex: 0;
    padding: 20px;
  }
  .zapisz-banner > h2{
    font-size: 20px;
  }
  .zapisz-banner > p{
    font-size: 12px;
  }

}
/*  */
@media screen and (max-width: 750px) {
  .sekcja-kolorowa {
    height: auto;
    margin-top: 0;
  }

  .sekcja-kolorowa-content {
    flex-direction: column;
    align-items: center;
    padding: 0;
    flex-wrap: nowrap;
  }

  .zdjecie-na-prawo {
    width: 100%;
    justify-content: center;
    margin-bottom: 20px;
  }

  .zdjecie-obramowane {
    width: 100vw;
    height: auto;
    object-fit: cover;
    display: block;
    margin: 0;
  }

  .tekst-na-lewo {
    width: 100%;
    padding: 0 20px;
    text-align: center;
    background-color: #f2ebbf;
  }

  .bigText {
    font-size: 28px;
    margin: 30px 25px 40px 25px;
  }

  .lower-text {
    font-size: 16px;
    margin-bottom: 30px;
    text-align: justify;
    margin: 30px 25px 40px 25px;
  }
}
@media screen and (min-width: 751px) and (max-width: 900px) {
@media screen and (min-width: 751px) and (max-width: 1000px) {
  .sekcja-kolorowa {
    margin-top: 0;
    height: auto;
    box-sizing: border-box;
  }

  .sekcja-kolorowa-content {
    display: flex;
    flex-direction: row;
    align-items: center; /* Wyśrodkowanie tekstu względem zdjęcia */
    justify-content: space-between;
    width: 100%;
  }

  .tekst-na-lewo {
    font-size: 16px;
    padding: 20px;
    margin: 0;
    background-color: #f2ebbf;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: center;
    flex: 1;
  }

  .bigText {
    font-size: 28px;
    margin-bottom: 30px;
  }

  .lower-text {
    font-size: 16px;
    margin-right: 5%;
    margin-bottom: 30px;
  }

  .zdjecie-na-prawo {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0;
    margin: 0;
  }

  .zdjecie-obramowane {
    width: 100%;
    height: 50vh;
    object-fit: cover;
  }
}
}

